flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Hydraulika 
  mesh:
    mesh_file: ./input/.sit_39_jemna final.msh
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    input_fields:
      - region: fracture
        conductivity: 1.061e-7
        cross_section: 0.5
        sigma: 1
      - region: 3D_volume_up
        conductivity: 0.1
        cross_section: 1
        sigma: 1
      - region: 3D_volume_middle
        conductivity: 5.276743e-10
        cross_section: 1
        sigma: 1
      - region: 3D_volume_down
        conductivity: 5.276743e-10
        cross_section: 1
        sigma: 1
      - region: .surface
        bc_type: total_flux
        bc_flux: 6.34E-09  # 200 mm/yr
      - region: .f_surface
        bc_type: total_flux
        bc_flux: 6.34E-09  # 200 mm/yr
      - region: .s_tunnel
        bc_type: dirichlet
        bc_pressure: 0
      - region: .f_tunnel
        bc_type: dirichlet
        bc_pressure: 0
      - region: .f_bottom
        bc_type: dirichlet
        bc_pressure: 320
      - region: .base
        bc_type: dirichlet
        bc_pressure: 320
      - region: .f_upper_zone
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: -z
      - region: .lateral_wall_up
        bc_type: total_flux
        bc_flux: 0
      - region: .back_wall_up
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: -z
    output_stream: 
      file: test3.msh
      format: !gmsh
        variant: ascii
      name: flow_output_stream
    output:
      fields:
      - piezo_head_p0
      - pressure_p0
      - pressure_p1
      - velocity_p0
    balance: {}
    solver: !Petsc
      r_tol: 1.0e-15
      a_tol: 1.0e-15